### Method

# Meta IdleMonitor add_idle_watch_full

#### Declaration [src]

    guint
    meta_idle_monitor_add_idle_watch_full (
      MetaIdleMonitor* monitor,
      guint64 interval_msec,
      MetaIdleMonitorWatchFunc callback,
      gpointer user_data,
      GDestroyNotify notify,
      MetaIdleMonitorWatchFlags flags
    )

#### Description

No description available.

#### Parameters

`interval_msec`

  Type: `guint64`

  The idletime interval, in milliseconds.

`callback`

  Type: `MetaIdleMonitorWatchFunc`

  The callback to call when the user has accumulated `interval_msec` milliseconds of idle time.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The user data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`notify`

  Type: `GDestroyNotify`

  A `GDestroyNotify`.

`flags`

  Type: `MetaIdleMonitorWatchFlags`

  Flags for the idle watch.

#### Return value

Type: `guint`

A watch id

This function is identical to meta_idle_monitor_add_idle_watch(), with the addition of a flags parameter to modify the behavior of the idle watch.